Subject: bug#6414: f->output_data.w32->menubar_widget uninitialized?

From: Lennart Borgman <[email-masked]>
Date: Mon, 4 Jul 2011 04:18:34 +0200

On Mon, Jul 4, 2011 at 04:13, Juanma Barranquero <[email-masked]> wrote:
> On Mon, Jul 4, 2011 at 03:44, Lennart Borgman <[email-masked]> wrote:
>
>> Yes, it is extra complexity. But I think the extra complexity that is
>> the result of not doing this error checking is much, much worse. There
>> might be very serious troubles and you have no idea what it is.
>
> If there are "serious troubles" and nobody ever notices them, then
> they are not "serious troubles". We're talking about Emacs, not real
> time avionics or nuclear plant control software.

There is serious trouble in this area. And if we are going to expand
the frame handling (for inline completion etc) then I think it will be
very good to have checks in all places.

However do as you want. I do not want to spent too much time on these
discussions. I think I have told my reasons for the checks.

>> Could you please check the MS doc and see if these calls should be
>> switched?
>
> No. You're the one who's spent time looking at the menu code. You're
> the one who should know whether that is really a bug and propose a
> patch.

OK. And what will happen when I have done that? (Which I have already done.)